# Method: accounts.regions.batchDelete

- [HTTP request](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.regions/batchDelete#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.regions/batchDelete#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.regions/batchDelete#body.request_body)
  - [JSON representation](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.regions/batchDelete#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.regions/batchDelete#body.response_body)
- [Authorization scopes](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.regions/batchDelete#body.aspect)
- [DeleteRegionRequest](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.regions/batchDelete#DeleteRegionRequest)
  - [JSON representation](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.regions/batchDelete#DeleteRegionRequest.SCHEMA_REPRESENTATION)
- [Try it!](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.regions/batchDelete#try-it)

Deletes multiple regions by name from your Merchant Center account. Executing this method requires admin access.

### HTTP request

`POST https://merchantapi.googleapis.com/accounts/v1/{parent=accounts/*}/regions:batchDelete`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The account to delete one or more regions from. Format: `accounts/{account}` |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "requests": [ { object (`https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.regions/batchDelete#DeleteRegionRequest`) } ] } ``` |

| Fields ||
|---|---|
| `requests[]` | ``object (`https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.regions/batchDelete#DeleteRegionRequest`)`` Required. The names of the regions to delete. A maximum of 100 regions can be deleted in a batch. |

### Response body

If successful, the response body is an empty JSON object.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/content`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).

## DeleteRegionRequest

Request message for the `regions.delete` method.

| JSON representation |
|---|
| ``` { "name": string } ``` |

| Fields ||
|---|---|
| `name` | `string` Required. The name of the region to delete. Format: `accounts/{account}/regions/{region}` |